Edje Text Entry

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Enumerations | Functions
Edje Text Entry
Edje » Edje Object » Edje Part » Edje Text Part

Functions that deal with text entries. More...

## Data Structures
struct | _Edje_Entry_Change_Info

## Typedefs
typedef struct _Edje_Entry_Change_Info | Edje_Entry_Change_Info
typedef enum _Edje_Text_Filter_Type | Edje_Text_Filter_Type
| All Edje text filters type values.
typedef enum _Edje_Text_Autocapital_Type | Edje_Text_Autocapital_Type
| All Text auto capital mode type values. More...
typedef enum _Edje_Input_Panel_Lang | Edje_Input_Panel_Lang
typedef enum _Edje_Input_Panel_Return_Key_Type | Edje_Input_Panel_Return_Key_Type
typedef enum _Edje_Input_Panel_Layout | Edje_Input_Panel_Layout
| Edje input panel layout.
typedef void(* | Edje_Text_Filter_Cb) (void *data, Evas_Object *obj, const char *part, Edje_Text_Filter_Type type, char **text)
| Callback prototype for Edje_Text_Filter. More...
typedef void(* | Edje_Markup_Filter_Cb) (void *data, Evas_Object *obj, const char *part, char **text)
| Callback prototype for Edje_Text_Filter. More...
typedef Evas_Object *(* | Edje_Item_Provider_Cb) (void *data, Evas_Object *obj, const char *part, const char *item)
| Callback prototype for Edje_Item_Provider. More...

## Enumerations
enum | _Edje_Text_Filter_Type { EDJE_TEXT_FILTER_TEXT = 0, EDJE_TEXT_FILTER_FORMAT = 1, EDJE_TEXT_FILTER_MARKUP = 2 }
enum | _Edje_Text_Autocapital_Type { EDJE_TEXT_AUTOCAPITAL_TYPE_NONE, EDJE_TEXT_AUTOCAPITAL_TYPE_WORD, EDJE_TEXT_AUTOCAPITAL_TYPE_SENTENCE, EDJE_TEXT_AUTOCAPITAL_TYPE_ALLCHARACTER }
enum | _Edje_Input_Panel_Lang { EDJE_INPUT_PANEL_LANG_AUTOMATIC, EDJE_INPUT_PANEL_LANG_ALPHABET }
enum | _Edje_Input_Panel_Return_Key_Type { EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DEFAULT, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DONE, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_GO, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_JOIN, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_LOGIN, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_NEXT, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEARCH, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEND, EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SIGNIN }
enum | _Edje_Input_Panel_Layout { EDJE_INPUT_PANEL_LAYOUT_NORMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBER, EDJE_INPUT_PANEL_LAYOUT_EMAIL, EDJE_INPUT_PANEL_LAYOUT_URL, EDJE_INPUT_PANEL_LAYOUT_PHONENUMBER, EDJE_INPUT_PANEL_LAYOUT_IP, EDJE_INPUT_PANEL_LAYOUT_MONTH, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY, EDJE_INPUT_PANEL_LAYOUT_INVALID, EDJE_INPUT_PANEL_LAYOUT_HEX, EDJE_INPUT_PANEL_LAYOUT_TERMINAL, EDJE_INPUT_PANEL_LAYOUT_PASSWORD, EDJE_INPUT_PANEL_LAYOUT_DATETIME, EDJE_INPUT_PANEL_LAYOUT_EMOTICON }
enum | Edje_Input_Hints { EDJE_INPUT_HINT_NONE = 0, EDJE_INPUT_HINT_AUTO_COMPLETE = 1 << 0, EDJE_INPUT_HINT_SENSITIVE_DATA = 1 << 1 }
enum | { EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_NORMAL, EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_FILENAME, EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_PERSON_NAME }
enum | { EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_NORMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_DECIMAL, EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED_AND_DECIMAL }
enum | { EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NORMAL, EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NUMBERONLY }

## Functions
void | edje_password_show_last_set (Eina_Bool password_show_last)
| Show last character in password mode. More...
void | edje_password_show_last_timeout_set (double password_show_last_timeout)
| Set the timeout value in last show password mode. More...

## Detailed Description

Functions that deal with text entries.

In Edje it's possible to use a text part as a entry so the user is able to make inputs of text. To do so, the text part must be set with a input panel taht will work as a virtual keyboard.

Some of effects can be applied to the entered text and also plenty actions can be performed after any input.

Use the functions of this section to handle the user input of text.

## Typedef Documentation

typedef struct _Edje_Entry_Change_Info Edje_Entry_Change_Info

Since
  1.1.0

Edje_Text_Autocapital_Type

All Text auto capital mode type values.

Edje_Text_Filter_Cb

Callback prototype for Edje_Text_Filter.

Parameters

  obj | The Evas_Object to filter.
  type | The filter type.
  text | The text of the filter.

Edje_Markup_Filter_Cb

Callback prototype for Edje_Text_Filter.

Parameters

  obj | The Evas_Object to filter.
  part | Edje part name.
  text | The text of the filter.

Edje_Item_Provider_Cb

Callback prototype for Edje_Item_Provider.

Parameters

  data | some data provided by user
  obj | The Evas_Object to filter.
  part | Edje part name
  item | Item of container

Returns
  must be an Evas_Object.

## Enumeration Type Documentation

enum _Edje_Text_Filter_Type

Enumerator
EDJE_TEXT_FILTER_TEXT | Text type filter.
EDJE_TEXT_FILTER_FORMAT | Format type filter.
EDJE_TEXT_FILTER_MARKUP | Markup type filter.

enum _Edje_Text_Autocapital_Type

Enumerator
EDJE_TEXT_AUTOCAPITAL_TYPE_NONE | None mode value.
EDJE_TEXT_AUTOCAPITAL_TYPE_WORD | Word mode value.
EDJE_TEXT_AUTOCAPITAL_TYPE_SENTENCE | Sentence mode value.
EDJE_TEXT_AUTOCAPITAL_TYPE_ALLCHARACTER | All characters mode value.

enum _Edje_Input_Panel_Lang

Enumerator
EDJE_INPUT_PANEL_LANG_AUTOMATIC | Automatic. Since 1.2
EDJE_INPUT_PANEL_LANG_ALPHABET | Alphabet. Since 1.2

enum _Edje_Input_Panel_Return_Key_Type

Enumerator
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DEFAULT | Default. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_DONE | Done. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_GO | Go. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_JOIN | Join. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_LOGIN | Login. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_NEXT | Next. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEARCH | Search or magnifier icon. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SEND | Send. Since 1.2
EDJE_INPUT_PANEL_RETURN_KEY_TYPE_SIGNIN | Sign-in. Since 1.8

enum _Edje_Input_Panel_Layout

Enumerator
EDJE_INPUT_PANEL_LAYOUT_NORMAL | Default layout.
EDJE_INPUT_PANEL_LAYOUT_NUMBER | Number layout.
EDJE_INPUT_PANEL_LAYOUT_EMAIL | Email layout.
EDJE_INPUT_PANEL_LAYOUT_URL | URL layout.
EDJE_INPUT_PANEL_LAYOUT_PHONENUMBER | Phone Number layout.
EDJE_INPUT_PANEL_LAYOUT_IP | IP layout.
EDJE_INPUT_PANEL_LAYOUT_MONTH | Month layout.
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY | Number Only layout.
EDJE_INPUT_PANEL_LAYOUT_INVALID | Never use this.
EDJE_INPUT_PANEL_LAYOUT_HEX | Hexadecimal layout. Since 1.2
EDJE_INPUT_PANEL_LAYOUT_TERMINAL | Command-line terminal layout including esc, alt, ctrl key, so on (no auto-correct, no auto-capitalization) Since 1.2
EDJE_INPUT_PANEL_LAYOUT_PASSWORD | Like normal, but no auto-correct, no auto-capitalization etc. Since 1.2
EDJE_INPUT_PANEL_LAYOUT_DATETIME | Date and time layout. Since 1.8
EDJE_INPUT_PANEL_LAYOUT_EMOTICON | Emoticon layout. Since 1.10

enum Edje_Input_Hints

Enumerator
EDJE_INPUT_HINT_NONE | No active hints. Since 1.12
EDJE_INPUT_HINT_AUTO_COMPLETE | Suggest word auto completion. Since 1.12
EDJE_INPUT_HINT_SENSITIVE_DATA | Typed text should not be stored. Since 1.12

anonymous enum

Enumerator
EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_NORMAL | The plain normal layout. Since 1.12
EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_FILENAME | Filename layout. Symbols such as '/' should be disabled. Since 1.12
EDJE_INPUT_PANEL_LAYOUT_NORMAL_VARIATION_PERSON_NAME | The name of a person. Since 1.12

anonymous enum

Enumerator
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_NORMAL | The plain normal number layout. Since 1.8
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED | The number layout to allow a positive or negative sign at the start. Since 1.8
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_DECIMAL | The number layout to allow decimal point to provide fractional value. Since 1.8
EDJE_INPUT_PANEL_LAYOUT_NUMBERONLY_VARIATION_SIGNED_AND_DECIMAL | The number layout to allow decimal point and negative sign. Since 1.8

anonymous enum

Enumerator
EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NORMAL | The normal password layout. Since 1.12
EDJE_INPUT_PANEL_LAYOUT_PASSWORD_VARIATION_NUMBERONLY | The password layout to allow only number. Since 1.12

## Function Documentation

void edje_password_show_last_set | ( | Eina_Bool | password_show_last | ) |

Show last character in password mode.

Parameters

  password_show_last | If TRUE enable last character show in password mode.

This function enables last input to be visible when in password mode for few seconds or until the next input is entered.

The time out value is obtained by edje_password_show_last_timeout_set function.

See also
  edje_password_show_last_timeout_set().

void edje_password_show_last_timeout_set | ( | double | password_show_last_timeout | ) |

Set the timeout value in last show password mode.

Parameters

  password_show_last_timeout | The timeout value.

This functions sets the time out value for which the last input entered in password mode will be visible. If the time out value is less than zero, the last input entered in password mode will be always visible.

This value can be used only when last show mode is set in password mode.

See also
  edje_password_show_last_set().